%{?mingw_package_header}

%global pkgname djvulibre

Name:          mingw-%{pkgname}
Version:       3.5.27
Release:       1%{?dist}
Summary:       MinGW Windows %{pkgname} library

BuildArch:     noarch
License:       GPLv2+
URL:           http://djvu.sourceforge.net/
Source0:       http://downloads.sourceforge.net/djvu/%{pkgname}-%{version}.tar.gz
# Backport patch to fix missing dllexports
Patch0:        0001-Define-XXX_EXPORT-symbols-under-win32.patch

BuildRequires: automake autoconf libtool make

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-libjpeg-turbo

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-libjpeg-turbo

%description
%{summary}.


%package -n mingw32-%{pkgname}
Summary:        MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the  MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:        MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the  MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%mingw_configure
# Parallel build is broken
%mingw_make


%install
%{mingw_make} install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove shell scripts
rm -f %{buildroot}%{mingw32_bindir}/{any2djvu,djvudigital}
rm -f %{buildroot}%{mingw64_bindir}/{any2djvu,djvudigital}

# Remove data
rm -rf %{buildroot}%{mingw32_datadir}
rm -rf %{buildroot}%{mingw64_datadir}


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libdjvulibre-21.dll
%{mingw32_includedir}/libdjvu/
%{mingw32_libdir}/libdjvulibre.dll.a
%{mingw32_libdir}/pkgconfig/ddjvuapi.pc

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libdjvulibre-21.dll
%{mingw64_includedir}/libdjvu/
%{mingw64_libdir}/libdjvulibre.dll.a
%{mingw64_libdir}/pkgconfig/ddjvuapi.pc

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe

%changelog
* Wed Oct 11 2017 Sandro Mani <manisandro@gmail.com> - 3.5.27-1
- Initial package
